import { CardTransactionsStatusEnum } from '../../enums/card-transaction-status.enum';
export interface CardTransactionDto {
    merchant: string;
    value: number;
    status: CardTransactionsStatusEnum;
    transactionDate: string;
    transactionKey: string;
    postDate: string;
}
export interface TransactionDto {
    TransactionDate: string;
    PostDate?: string;
    Merchant: string;
    Fees?: any;
    Held?: number;
    Cleared?: number;
    Declined?: number;
    PayabilityFeeCredit?: number;
    TransactionKey: string;
}
