export interface SupplierStatusDto {
    pmtCfgProvided: boolean;
    pmtCfgStatus: string;
    legalSigned: boolean;
    enrollmentStart: string;
    generalInfoUpdated: boolean;
    hasPaymentHistory: boolean;
    hasReceivablePurchase: boolean;
    nextPayment?: any;
    hasMarketplaces: boolean;
    supplierStatus: string;
    fundPartStatus: string;
    instantAccess: boolean;
    efsAccount: boolean;
    ascApiStatus: string;
    buisnessDataCompleted: boolean;
    addendumSigned: boolean;
    sellerDataCompleted: boolean;
    supAdvStatus: string;
    supAdvLiability: number;
    supAdvTotalAmount: number;
    supAdvWeeksLength: number;
    supAdvRebateWeeks: number;
    supAdvHalfRebate: number;
    supAdvWeeksLengthWithRebate: number;
    supAdvSavedOffer: boolean;
    supAdvExpectedCost: number;
    supAdvExpectedRebate: number;
    supAdvWeeklyCost: number;
    supAdvOfferAmount: number;
    supAdvPercentCost: number;
    supAdvPercentExtraReserve: number;
    instantAdvanceSigned: boolean;
    treasury_approved: boolean;
    underwriting: string;
    supAdvExpDate: string;
    hasInstantAdvHistory: boolean;
}
