interface Addres {
    addr1: string;
    addr2?: any;
    city: string;
    postalCode: string;
    country: string;
    state: string;
}
interface ResidentialAddres {
    addr1?: any;
    addr2?: any;
    city?: any;
    postalCode?: any;
    country?: any;
    state?: any;
}
interface HomeAddres {
    addr1?: any;
    addr2?: any;
    city?: any;
    state?: any;
    postalCode?: any;
    country?: any;
}
interface InstantMessenger {
    type?: any;
    slug?: any;
}
export interface SupplierDto {
    supplierKey: string;
    taxId: string;
    legalName: string;
    contactFirstName: string;
    contactLastName: string;
    contactEmail: string;
    incorporatedInTheUS: boolean;
    stateOfIncorporation: string;
    address: Addres;
    residentialAddress: ResidentialAddres;
    homeAddress: HomeAddres;
    timezone: string;
    instantMessenger: InstantMessenger;
    phoneNumber: string;
    fundFacilityLimit: number;
    instantAccess: boolean;
    cancelationStatus?: any;
    hide: boolean;
    onboardingStatus: boolean;
    businessTypeCode: string;
    ppmAvailable: boolean;
    efsAvailable: boolean;
    achAvailable: boolean;
    wirAvailable: boolean;
    pcardAvailable: boolean;
    efsRebatePercent: number;
    efsLastCardReqTs?: any;
    onboardingTemplateCode: string;
    supplierSite: string;
    loadNetEarnings: boolean;
    pendApprovNeeded: boolean;
    dateEstablished: string;
    generalInfoUpdated: boolean;
    instantPayouts: boolean;
    ownerSSN: string;
    dateOfBirth: string;
}
export interface SuppliersDto {
    suppliers: SupplierDto[];
}
export {};
