import { HttpClient } from '@angular/common/http';
import { Observable, Subject } from 'rxjs';
import { TransactionDto } from '../dto/pcard/get-general-report.dto';
import { CardTransactionParams } from '../params/card-transaction-params.interface';
import { ResponseList } from '../common/response-list.interface';
export declare class CardTransactionService {
    private http;
    private baseUrl;
    transactions: TransactionDto[];
    readonly transactions$: Subject<TransactionDto[]>;
    constructor(http: HttpClient, baseUrl: string);
    getTransactions(supplierKey: string, params?: CardTransactionParams): Observable<ResponseList<TransactionDto>>;
}
