import { HttpClient } from '@angular/common/http';
import { Observable, Subject } from 'rxjs';
import { PaymentMethodDto } from '../dto/payment-method.dto';
import { SupplierStatusDto } from '../dto/supplier-status.dto';
import { SupplierDto } from '../dto/supplier.dto';
export declare class SuppliersService {
    private http;
    private baseUrl;
    supplierKey$: Subject<string>;
    constructor(http: HttpClient, baseUrl: string);
    getSupplierDetails(): Observable<SupplierDto>;
    getSupplierStatus(supplierKey: string): Observable<SupplierStatusDto>;
    getSupplierPaymentMethods(supplierKey: string, mask?: boolean): Observable<PaymentMethodDto[]>;
}
