import { HttpClient } from '@angular/common/http';
import { Observable } from 'rxjs';
import { TransferFundsParams } from '../params/transfer-funds-params.interface';
export declare class TransferFundsService {
    private http;
    private baseUrl;
    constructor(http: HttpClient, baseUrl: string);
    transferFunds(supplierKey: string, params: TransferFundsParams): Observable<any>;
    calcBalanceAfterTransferFunds(availableBalance: number, transferAmount: number): number;
}
